#! /usr/bin/guile \
-s
!#

; hello.scm
; This script should be functionally equivalent to the hello.cxx
; program included in the Fltk test directory.

(use-modules (gfltk gfltk))

(define window (fltk-window::new -1 -1 300 180 "Hello World Window"))
(define box (fltk-box::new 20 40 260 100 "Hello, World!"))
(fltk-widget::set-box box FL_UP_BOX)
(fltk-widget::set-label-font box (+ FL_BOLD FL_ITALIC))
(fltk-widget::set-label-size box 36)
(fltk-widget::set-label-type box FL_SHADOW_LABEL)
(fltk-group::end window)
(fltk-window::show window)
(fltk-fl::run)
