#! /usr/bin/guile \
-s
!#

(use-modules (gfltk gfltk))

(define iconize-cb 
  (lambda (widget data)
    (fltk-window::iconize data)))

(define show-cb 
  (lambda (widget data)
    (fltk-window::show data)))

(define hide-cb 
  (lambda (widget data)
    (fltk-window::hide data)))

(define window-cb 
  (lambda (widget data)
    (quit)))


(define mainw (fltk-window::new -1 -1 200 200 "Main"))
(fltk-group::end mainw)
(fltk-window::show mainw)

(define control (fltk-window::new  -1 -1 120 120 "Control"))
(define hide-button (fltk-button::new 0 0 120 30 "hide"))
(fltk-widget::set-callback hide-button hide-cb)
(fltk-widget::set-argument hide-button mainw)

(define iconize-button (fltk-button::new 0 30 120 30 "iconize"))
(fltk-widget::set-callback iconize-button iconize-cb)
(fltk-widget::set-argument iconize-button mainw)

(define show-button (fltk-button::new 0 60 120 30 "show"))
(fltk-widget::set-callback show-button show-cb)
(fltk-widget::set-argument show-button mainw)

(define show-button2 (fltk-button::new 0 90 120 30 "show this"))
(fltk-widget::set-callback show-button2 show-cb)
(fltk-widget::set-argument show-button2 control)

(fltk-group::end control)
(fltk-window::show control)
(fltk-widget::set-callback control window-cb)
(fltk-fl::run)
