#!/usr/bin/guile \
-e main -s
!#

; button.scm
; This script is functionally equivalent to the button.cxx
; program included in the Fltk test directory.

(use-modules (gfltk gfltk))

(define beep-callback
  (lambda (widget data)
    (fltk-fl::beep)))

(define exit-callback
  (lambda (widget data)
    (exit)))

(define (main args)
  (define window (fltk-window::new -1 -1 320 65 "Beep Demo"))
   (define b1 #f)
   (define b2 #f)
   (define b3 #f)
   (set! b1 (fltk-button::new 20 20 80 25 "Beep"))
   (set! b2 (fltk-button::new 120 20 80 25 "&no op"))
   (set! b3 (fltk-button::new 220 20 80 25 "E&xit"))
   (fltk-group::end window)
   (fltk-widget::set-callback b1 beep-callback)
   (fltk-widget::set-callback b3 exit-callback)
   (fltk-window::show window)
   (fltk-fl::run))
