#! /usr/bin/guile \
-s
!#

; clock.scm
; This script should be functionally equivalent to the clock.cxx
; program included in the Fltk test directory.

(use-modules (gfltk gfltk))

(define window (fltk-window::new  -1 -1 220 220 "Fl_Clock"))
(define c1 (fltk-clock::new 0 0 220 220 ""))
(fltk-group::set-resizable window c1)
(fltk-group::end window)

(define window2 (fltk-window::new  -1 -1 220 220 "Fl_Round_Clock"))
(define c2 (fltk-round-clock::new 0 0 220 220 ""))
(fltk-group::set-resizable window2 c2)
(fltk-group::end window2)

; some machine had a clock* Xresource set for another program, so
; we don't want the class to be "clock":

(fltk-window::set-xclass window "Fl_Clock")
(fltk-window::set-xclass window2 "Fl_Clock")
(fltk-window::show window)
(fltk-window::show window2)
(fltk-fl::run)

