#! /usr/bin/guile \
-e main -s
!#

; radio.scm
; This script is functionally equivalent to the radio.cxx
; program included in the Fltk test directory.

(use-modules (gfltk gfltk))

(define (main args)
  (define w (fltk-window::new -1 -1 462 453 "Radio Demo"))
  (fltk-button::new 20 10 160 30 "Fl_Button")
  (fltk-return-button::new 20 50 160 30 "Fl_Return_Button")
  (fltk-light-button::new 20 90 160 30 "Fl_Light_Button")
  (let ((o (fltk-check-button::new 20 130 160 30 "Fl_Check_Button")))
    (fltk-widget::set-box o FL_UP_BOX)
    (fltk-button::set-down-box o FL_DIAMOND_DOWN_BOX))
  (let ((o (fltk-round-button::new 20 170 160 30 "Fl_Round_Button")))
    (fltk-widget::set-box o FL_UP_BOX)
    (fltk-button::set-down-box o FL_ROUND_DOWN_BOX))
  (let ((o (fltk-group::new 190 10 70 120 "")))
    (fltk-widget::set-box o FL_THIN_UP_FRAME)
    (let ((o (fltk-check-button::new 190 10 70 30 "radio")))
      (fltk-widget::set-type o FL_RADIO_BUTTON)
      (fltk-button::set-down-box o FL_DIAMOND_DOWN_BOX))
    (let ((o (fltk-check-button::new 190 40 70 30 "radio")))
      (fltk-widget::set-type o FL_RADIO_BUTTON)
      (fltk-button::set-down-box o FL_DIAMOND_DOWN_BOX))
    (let ((o (fltk-check-button::new 190 70 70 30 "radio")))
      (fltk-widget::set-type o FL_RADIO_BUTTON)
      (fltk-button::set-down-box o FL_DIAMOND_DOWN_BOX))
    (let ((o (fltk-check-button::new 190 100 70 30 "radio")))
      (fltk-widget::set-type o FL_RADIO_BUTTON)
      (fltk-button::set-down-box o FL_DIAMOND_DOWN_BOX))
    (fltk-group::end o))
  (let ((o (fltk-group::new 270 10 90 115 "")))
    (fltk-widget::set-box o FL_THIN_UP_BOX)
    (let ((o (fltk-button::new 280 20 20 20 "radio")))
      (fltk-widget::set-type o FL_RADIO_BUTTON)
      (fltk-widget::set-selection-color o 1)
      (fltk-widget::set-align o FL_ALIGN_RIGHT))
    (let ((o (fltk-button::new 280 45 20 20 "radio")))
      (fltk-widget::set-type o FL_RADIO_BUTTON)
      (fltk-widget::set-selection-color o 1)
      (fltk-widget::set-align o FL_ALIGN_RIGHT))
    (let ((o (fltk-button::new 280 70 20 20 "radio")))
      (fltk-widget::set-type o FL_RADIO_BUTTON)
      (fltk-widget::set-selection-color o 1)
      (fltk-widget::set-align o FL_ALIGN_RIGHT))
    (let ((o (fltk-button::new 280 95 20 20 "radio")))
      (fltk-widget::set-type o FL_RADIO_BUTTON)
      (fltk-widget::set-selection-color o 1)
      (fltk-widget::set-align o FL_ALIGN_RIGHT))
    (fltk-group::end o))
  (fltk-group::end w)
  (fltk-window::show w)
  (fltk-fl::run))
